## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global crate bat

Name:           rust-%{crate}
Version:        0.21.0
Release:        %autorelease
Summary:        Cat(1) clone with wings

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bat
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Initial patched metadata
# * Port from path_abs to path-absolutize:
#   https://github.com/sharkdp/bat/pull/1025
Patch0:         bat-fix-metadata.diff
Patch1:         0001-port-from-path_abs-to-path-absolutize.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Cat(1) clone with wings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# CC0
# LGPLv3+
# MIT
# MIT and GPLv2 with exceptions and BSD
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and BSD and CC0 and GPLv2 with exceptions and LGPLv3+ and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license NOTICE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/bat
%{_mandir}/man1/bat.1*
%{_datadir}/bash-completion/completions/bat
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bat
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/bat.fish

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/NOTICE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+application-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+application-devel %{_description}

This package contains library source intended for building other packages which
use the "application" feature of the "%{crate}" crate.

%files       -n %{name}+application-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+atty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atty-devel %{_description}

This package contains library source intended for building other packages which
use the "atty" feature of the "%{crate}" crate.

%files       -n %{name}+atty-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bugreport-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bugreport-devel %{_description}

This package contains library source intended for building other packages which
use the "bugreport" feature of the "%{crate}" crate.

%files       -n %{name}+bugreport-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+build-assets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+build-assets-devel %{_description}

This package contains library source intended for building other packages which
use the "build-assets" feature of the "%{crate}" crate.

%files       -n %{name}+build-assets-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dirs-next-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dirs-next-devel %{_description}

This package contains library source intended for building other packages which
use the "dirs-next" feature of the "%{crate}" crate.

%files       -n %{name}+dirs-next-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages which
use the "git2" feature of the "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+grep-cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grep-cli-devel %{_description}

This package contains library source intended for building other packages which
use the "grep-cli" feature of the "%{crate}" crate.

%files       -n %{name}+grep-cli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+minimal-application-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+minimal-application-devel %{_description}

This package contains library source intended for building other packages which
use the "minimal-application" feature of the "%{crate}" crate.

%files       -n %{name}+minimal-application-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+paging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paging-devel %{_description}

This package contains library source intended for building other packages which
use the "paging" feature of the "%{crate}" crate.

%files       -n %{name}+paging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-fancy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-fancy-devel %{_description}

This package contains library source intended for building other packages which
use the "regex-fancy" feature of the "%{crate}" crate.

%files       -n %{name}+regex-fancy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-onig-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-onig-devel %{_description}

This package contains library source intended for building other packages which
use the "regex-onig" feature of the "%{crate}" crate.

%files       -n %{name}+regex-onig-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shell-words-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shell-words-devel %{_description}

This package contains library source intended for building other packages which
use the "shell-words" feature of the "%{crate}" crate.

%files       -n %{name}+shell-words-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+walkdir-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+walkdir-devel %{_description}

This package contains library source intended for building other packages which
use the "walkdir" feature of the "%{crate}" crate.

%files       -n %{name}+walkdir-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wild-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wild-devel %{_description}

This package contains library source intended for building other packages which
use the "wild" feature of the "%{crate}" crate.

%files       -n %{name}+wild-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

install -Dpm0644 target/release/build/%{crate}-*/out/assets/manual/bat.1 \
  -t %{buildroot}%{_mandir}/man1/

install -Dpm0644 target/release/build/%{crate}-*/out/assets/completions/bat.bash \
  %{buildroot}%{_datadir}/bash-completion/completions/bat

install -Dpm0644 target/release/build/%{crate}-*/out/assets/completions/bat.zsh \
  %{buildroot}%{_datadir}/zsh/site-functions/_bat

install -Dpm0644 target/release/build/%{crate}-*/out/assets/completions/bat.fish \
  -t %{buildroot}%{_datadir}/fish/vendor_completions.d/

%if %{with check}
%check
%ifarch %{arm}
# * doctests fail to compile on armv7hl with LLVM 14:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2086106
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.21.0-2
- Disable doctests on armv7hl to work around a compiler crash on LLVM 14

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.21.0-1
- Update to version 0.21.0; Fixes RHBZ#2038592

* Wed Feb 16 2022 Maxwell G <gotmax@e.email> 0.18.3-5
- Add missing shell completions

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.18.3-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.18.3-2
- Rebuild for libgit2 1.3.x

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.18.3-1
- Bump assert_cmd to 2.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 14:21:41 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.1-3
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:27:34 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.1-2
- Rebuild

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-1
- Update to version 0.17.1.
- Remove features with missing dependencies (regex-fancy).
- Fixes RHBZ#1900814

* Tue Oct 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.0-1
- Update to version 0.16.0.

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 10:43:31 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-1
- Update to 0.15.4

* Mon May 25 18:52:24 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.2-1
- Update to 0.15.2

* Tue May 12 2020 Josh Stone <jistone@redhat.com> - 0.15.1-1
- Update to 0.15.1

* Sat May 02 10:58:34 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Update console to 0.11.2

* Mon Apr 27 08:12:43 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.14.0-1
- Update to 0.14.0

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-2
- Rebuild for libgit2 1.0.0

* Sun Mar 22 14:24:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0

* Thu Mar 19 11:31:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.1-5
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.12.1-4
- Bump git2 to 0.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:50:18 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.12.1-2
- Bump git2 to 0.11

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 14 18:28:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-3
- Update dirs to 2.0

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.11.0-2
- Bump git2 to 0.9

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Thu Oct 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Sep 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

